org.mozilla.javascript

## Class Sorting

- java.lang.Object
- - org.mozilla.javascript.Sorting

-     public final class Sorting
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Sorting()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `hybridSort(java.lang.Object[] a, java.util.Comparator<java.lang.Object> cmp)`
    `static void` | `insertionSort(java.lang.Object[] a, java.util.Comparator<java.lang.Object> cmp)`
    `static void` | `insertionSort(java.lang.Object[] a, int start, int end, java.util.Comparator<java.lang.Object> cmp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Sorting

          public Sorting()

  - ### Method Detail

    - #### insertionSort

          public static void insertionSort(java.lang.Object[] a,
                                           java.util.Comparator<java.lang.Object> cmp)

    - #### insertionSort

          public static void insertionSort(java.lang.Object[] a,
                                           int start,
                                           int end,
                                           java.util.Comparator<java.lang.Object> cmp)

    - #### hybridSort

          public static void hybridSort(java.lang.Object[] a,
                                        java.util.Comparator<java.lang.Object> cmp)